> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchanges List

> To query all the supported exchanges with ID and name

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Use this endpoint to get exchange IDs (including derivatives exchanges) for other endpoints that require an `id` parameter.
* No pagination required — the full list is returned in a single response.

<CacheInfo rate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.exchanges.getList();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.exchanges.get_list()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /exchanges/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /exchanges/list:
    get:
      summary: Exchanges List
      description: To query all the supported exchanges with ID and name
      operationId: exchanges-list
      parameters:
        - name: status
          in: query
          required: false
          description: |-
            Filter by status of exchanges. 
            Default: `active`
          schema:
            type: string
            enum:
              - active
              - inactive
      responses:
        '200':
          description: List of exchanges
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangesList'
              example:
                - id: binance
                  name: Binance
                - id: bitget
                  name: Bitget
                - id: okex
                  name: OKX
components:
  schemas:
    ExchangesList:
      type: array
      items:
        type: object
        required:
          - id
          - name
        properties:
          id:
            type: string
            description: Exchange ID
          name:
            type: string
            description: Exchange name
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````